
QGIS Application - Bug report #10746

Buzzer sound when the map is refreshing 

2014-06-28 06:21 AM - Jerome Alary

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 19130

Description

When I pan the map, I can hear a buzz sound from my speakers.

See it here : http://youtu.be/Yz6xHRrCJmw

History

#1 - 2014-06-28 06:22 AM - Jerome Alary

In QGIS 2.4

#2 - 2014-06-28 07:36 AM - Jürgen Fischer

- Target version changed from Version 2.6 to Future Release - High Priority

#3 - 2014-06-28 07:50 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Target version changed from Future Release - High Priority to Version 2.6

- Affected QGIS version changed from 2.2.0 to 2.4.0

Well... this is new :)

Anyway it looks like a local issue... can you replicate on another machine?

#4 - 2014-06-28 09:57 AM - Jürgen Fischer

- Target version changed from Version 2.6 to Future Release - High Priority

#5 - 2014-06-28 02:43 PM - Tobias Schneider

This should help (probably faulty hardware in my opinion):

http://superuser.com/search?q=speaker+buzzing

#6 - 2014-06-28 04:12 PM - Jerome Alary

- Target version changed from Future Release - High Priority to Future Release - Lower Priority
Find out that the sound is only present when using layers from my Dropbox.

I was not able to reproduce on another computer and it is not doing this with QGIS 2.2.

Seem's like a computer issue (Dell L502x) and not QGIS.

#7 - 2014-06-28 04:28 PM - Nathan Woodrow

- Status changed from Feedback to Closed

- Resolution set to invalid

#8 - 2014-06-29 11:45 PM - Joern Caro

Jerome Alary wrote:

Find out that the sound is only present when using layers from my Dropbox.

I was not able to reproduce on another computer and it is not doing this with QGIS 2.2.

Seem's like a computer issue (Dell L502x) and not QGIS.

I have the same annoying sound.

I'm not using a Dell and i am not using dropbox.

It occurs even when one local shapefile is displayed.

QGis 2.4 on Windows 8.1

#9 - 2014-07-01 02:33 AM - Gilles V

Joern Caro wrote:

Jerome Alary wrote:

Find out that the sound is only present when using layers from my Dropbox.

I was not able to reproduce on another computer and it is not doing this with QGIS 2.2.

Seem's like a computer issue (Dell L502x) and not QGIS.

I have the same annoying sound.

I'm not using a Dell and i am not using dropbox.

It occurs even when one local shapefile is displayed.

QGis 2.4 on Windows 8.1

Agreed, same problem. Refreshing causes a buzz. Windows 7, qgis 2.4.

The file I used to test this is the same as the one I used two days ago, with qgis 2.2, when no buzz sound would occur.

#10 - 2014-07-01 02:35 AM - Gilles V

Forgot : local files, with dropbox sync.

#11 - 2014-07-01 04:38 AM - Jerome Alary

- Status changed from Closed to Reopened
Since I'm not the only one now, let's reopen it.

#12 - 2014-07-01 05:00 AM - Jürgen Fischer

Jerome Alary wrote:

Since I'm not the only one now, let's reopen it.

QGIS doesn't do any sound output - even the GRASS terminal window doesn't do beeps - just visual bells.   I suppose the multithreaded renderer takes

some machines to strange new worlds of load where no application has gone before.

Are you using any other applications that produce a lot of load?

#13 - 2014-07-02 05:57 AM - Jerome Alary

No other applications running crazy at the same time.

I had the reflect to log this issue because my project used to work in QGIS 2.2 last week. It is still working good in 2.4, but the first thing I realized after

installing 2.4 is that sound.

#14 - 2014-07-02 04:31 PM - Jerome Alary

Was able to reproduce on 3 different machines :

If a layer (SHP, TAB) is within a folder with special character (for example : C:\\Québec) sound will come out.

#15 - 2014-07-02 04:48 PM - Nathan Woodrow

- Resolution deleted (invalid)

Can we have some sample data?

#16 - 2014-07-02 05:28 PM - Jerome Alary

Here it is:

https://www.dropbox.com/s/fft2fq3r1eyv2z3/Sample_10746.zip

You can hear the buzz sound by opening the attribute table as well

#17 - 2014-07-04 08:34 PM - Nathan Woodrow

I have track this down to a error in the ogr_SOSI plugin.

http://i.imgur.com/3qZq7Jg.png
If you remove the plugin the sound no longer occurs.

You can test by running the following in a Python console in OSGeo4W shell

import osgeo.ogr

ds = osgeo.ogr.Open("test,test.shp")

Seems like it's throwing an exception but you never see the message box only the sound.

#18 - 2014-07-05 02:11 PM - Jürgen Fischer

Nathan Woodrow wrote:

I have track this down to a error in the ogr_SOSI plugin.

Please test gdal-sosi-1.10.1-2 in osgeo4w.

That fixes the file locking in SOSI and makes it work - maybe it also fixes the noise issue (btw. the new packages also contain some patches for NAS, Pg,

MSSQL and add GeoPDF support).

#19 - 2014-07-05 02:12 PM - Jürgen Fischer

- Status changed from Reopened to Feedback

#20 - 2014-07-07 05:33 AM - James Stott

I still get the noise today with updated gdal-sosi.

For me, when the noise occurs its a sure sign that QGIS will close shortly afterwards. I do not get the noise with SOSI files that work fine in QGIS.

#21 - 2014-07-11 01:12 AM - James Stott

I do not get the noise on Windows 8 and QGIS does not crash with SOSI files on Windows 8 - it is just a problem on Windows 7 for me. I have now tested

with two Windows 8 machines, and both work. We have tested with many Windows 7 machines, and they all get the noise when SOSI files.

#22 - 2014-07-16 06:16 AM - Andreas B

I have the exact same problem; buzz sounds when QGIS (2.4) refreshes the map. Sitting on a Dell Precision T5400 on Windows 7.

#23 - 2014-07-16 06:26 AM - Nathan Woodrow

- Tag set to ogr

A quick fix is to rename the ogr_SOSI.dll file to something else so that ogr doesn't pick it up.  The error is in that plugin.

#24 - 2014-09-18 02:42 PM - Vitor Jorge

- Target version changed from Future Release - Lower Priority to Future Release - High Priority
I had the same problem at my job but I thought at the time that it was a hardware problem (Old computer with windows XP), but I'm now facing the same

problem with mine new laptop (Windows 8.1, 64-bit machine with a quad core processor and 16GB RAM).

And the problem is not simply the beeps...whenever the application processes something the sounds occurs and it slows down. For example... when simply

selecting a feature (ex. polygon) or opening the attribute table it turns very slow. E.g. a dataset with few records takes almost 30 seconds - something that

was almost instant in QGIS 2.2 Valmiera.

I'm working with one local shapefile and that file isn't within a folder with special character.

Gdal-sosi v. 1.11.0-2

Renaming ogr_SOSI.dll fixed all the problems (I did it minutes ago) but it would be nice that everything functioned perfectly from the start without the need

for renaming files.

#25 - 2014-10-16 03:48 AM - Stefan Blumentrath

Maybe the source for the sound is somewhere here: http://github.com/kartverket/fyba/blob/master/src/UT/UT3.cpp (search for UT_Sound in Line 46)?

http://github.com/kartverket/fyba contains the source code of the underlying library the plugin is built upon. I am not ware of similar issues on other OSes...

#26 - 2014-10-16 03:59 AM - Giovanni Manghi

I have also seen this for the first time on a pc (win 7) of a friend that made the osgeo4w installation by selecting everything. I solved by removing everything

and reinstalling just what was needed.

it seems to me that this ticket should be closed here, and eventually filed in the osgeo4w tracker or in the tracker of who develops/manages the code for

this plugin.

#27 - 2014-10-16 05:29 AM - Stefan Blumentrath

Not sure either where this ticked belongs. Seems to be the interplay between QGIS (Multithreaded rendering) - GDAL/OGR - OpenFYBA.

It does not occure on every system either. I have for example a Win7 box with QGIS and gdal_sosi package installed through OSGeo4W, and I never

heard the sound... 

Is`nt the plugin also part of the QGIS standalone installer?

#28 - 2014-10-16 05:34 AM - Giovanni Manghi

Is`nt the plugin also part of the QGIS standalone installer?

I don't think so, but not sure 100%

#29 - 2014-10-16 06:04 AM - Nathan Woodrow

Stefan Blumentrath wrote:

Not sure either where this ticked belongs. Seems to be the interplay between QGIS (Multithreaded rendering) - GDAL/OGR - OpenFYBA.

It does not occure on every system either. I have for example a Win7 box with QGIS and gdal_sosi package installed through OSGeo4W, and I
never heard the sound... 

Is`nt the plugin also part of the QGIS standalone installer?

This doesn't have anything to do with QGIS multithreaded rendering. It's all in OGR itself and that plugin.  You can hear it like I did when testing using ogr

on the command line.  This seems to only happen with 64bit installs though, so even if you install using OSGeo4W unless you install the 64bit version you

will not hear it.

#30 - 2014-10-16 06:14 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to up/downstream

#31 - 2014-10-16 11:05 AM - Stefan Blumentrath

Just for the record: I never got the sound on my 32bit Win7 laptop with gdal-sosi installed. But when I open data from a folder with a name containing

special characters (fot a test I used a folder named "Québec", like Jerome Alary did), then the noise is there also on my (until then quiet) 32bit system.

#32 - 2014-10-20 06:17 AM - Nicolas Boisteault

I had the same problem with QGIS 2.4 64 bits. My dataset was in a folder named 'Données', I removed the accent and it solved the problem.

#33 - 2014-10-22 07:18 AM - Jürgen Fischer

Please test with GDAL from OSGeo4W testing (invoke setup-test.bat from the OSGeo4W shell).   GDAL 1.11.1 was rebuilt with openfyba as of today (

https://github.com/kartverket/fyba/issues/17).

#34 - 2014-10-23 05:36 AM - Jürgen Fischer

See also GDAL !#5710
